package timezonePatch.model;

public class DST
{
   private Date startDate;
   private Date endDate;

   public DST(){}

   public DST(
      Date _startDate,
      Date _endDate)
   {
    startDate = _startDate;
    endDate = _endDate;
   }

   public DST(String test)
   {
    startDate = new Date(test);
    endDate = new Date(test);
   }

    public Date getStartDate()
    {
        return startDate;
    }

    public void setStartDate(Date d)
    {
        startDate = d;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    public void setEndDate(Date d)
    {
        endDate = d;
    }

    public boolean valid() throws InvalidTimeZonePatchtException
    {
      startDate.valid();
      endDate.valid();
      return true;
    }

    public String toString()
    {
      StringBuffer strBuff = new StringBuffer();
      strBuff.append("DST Start ");
      strBuff.append(startDate);
      strBuff.append("DST End ");
      strBuff.append(endDate);
      return strBuff.toString();
    }

}
