package timezonePatch.model;

public class Date
{
   private int month;
   private int day;
   private int hour;
   public Date(){}

   public Date(
            int amonth,
            int aday,
            int ahour)
   {
    month = amonth;
    day = aday;
    hour = ahour;
   }

   public Date(String test)
   {
    month = 11;
    day = 21;
    hour = 0;
   }

    public int getMonth()
    {
        return month;
    }

    public void setMonth(int s)
    {
        month = s;
    }

    public int getDay()
    {
        return day;
    }

    public void setDay(int s)
    {
        day = s;
    }

    public int getHour()
    {
        return hour;
    }

    public void setHour(int s)
    {
        hour = s;
    }

    public boolean valid() throws InvalidTimeZonePatchtException
    {
      if ((hour<0)||(hour>24))
        throw new InvalidTimeZonePatchtException("invalid hour: " + hour);

      if ((month<1)||(month>12))
        throw new InvalidTimeZonePatchtException("invalid month: " + month);

      if ((day<1)||(day>31))
        throw new InvalidTimeZonePatchtException("invalid day: " + day);
      return true;
    }

    public String toString()
    {
      StringBuffer strBuff = new StringBuffer();
      strBuff.append("Date:");
      strBuff.append(month);
      strBuff.append("/");
      strBuff.append(day);
      strBuff.append(" ");
      strBuff.append(hour);
      strBuff.append("hs");
      return strBuff.toString();
    }

}
